Delete counterparty payment method
curl --request DELETE \
--url https://api.conduit.financial/counterparties/{id}/payment-methods/{paymentMethodId} \
--header 'X-API-Key: <api-key>' \
--header 'X-API-Secret: <api-key>'import requests
url = "https://api.conduit.financial/counterparties/{id}/payment-methods/{paymentMethodId}"
headers = {
"X-API-Key": "<api-key>",
"X-API-Secret": "<api-key>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'X-API-Key': '<api-key>', 'X-API-Secret': '<api-key>'}
};
fetch('https://api.conduit.financial/counterparties/{id}/payment-methods/{paymentMethodId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "1234",
"type": "individual",
"firstName": "John",
"middleName": "Snow",
"lastName": "Smith",
"birthDate": "2020-03-15",
"nationality": "US",
"email": "contact@globaltechsolutions.com",
"phone": "+1-555-123-4567",
"identificationType": "curp",
"identificationNumber": "123",
"address": {
"streetLine1": "21 Jump Street",
"streetLine2": "Unit 708",
"city": "Boston",
"state": "MA",
"postalCode": "02111",
"country": "USA"
},
"paymentMethods": [
{
"id": "1234",
"type": "bank",
"rail": [
"ted",
"pix"
],
"bankName": "First National Bank",
"accountType": "checking",
"accountOwnerName": "Global Tech Solutions",
"accountNumber": "123456789",
"routingNumber": "123",
"swiftCode": "FNBOUS33",
"branchCode": "1234",
"bankCode": "123",
"currency": "USD",
"address": {
"streetLine1": "21 Jump Street",
"streetLine2": "Unit 708",
"city": "Boston",
"state": "MA",
"postalCode": "02111",
"country": "USA"
}
},
{
"id": "bank_1234",
"type": "wallet",
"rail": "ethereum",
"walletAddress": "0X0000000",
"walletLabel": "Gus Personal ETH Wallet"
},
{
"id": "wlt_1234",
"type": "wallet",
"rail": "tron",
"walletAddress": "T0000000",
"walletLabel": "Gus Personal Tron Wallet"
}
],
"documents": [
{
"documentId": "doc_1234",
"documentPurpose": "recurring_payment",
"documentType": "invoice",
"documentName": "invoice.png",
"uploadedAt": "2023-10-15T09:30:00Z"
}
],
"messages": [],
"status": "active",
"createdAt": "2024-01-01T10:00:00Z",
"updatedAt": "2024-02-15T15:45:00Z"
}{
"errors": [
{
"detail": "<string>",
"code": "<string>"
}
]
}{
"errors": [
{
"detail": "<string>",
"code": "<string>"
}
]
}{
"errors": [
{
"detail": "<string>",
"code": "<string>"
}
]
}{
"errors": [
{
"detail": "<string>",
"code": "<string>"
}
]
}{
"errors": [
{
"detail": "<string>",
"code": "<string>"
}
]
}{
"errors": [
{
"detail": "<string>",
"code": "<string>"
}
]
}{
"errors": [
{
"detail": "<string>",
"code": "<string>"
}
]
}Counterparties
Delete counterparty payment method
Delete a specific payment method for a counterparty
DELETE
/
counterparties
/
{id}
/
payment-methods
/
{paymentMethodId}
Delete counterparty payment method
Authorizations
Includes an API key in the HTTP headers to authenticate the client.
Includes an API secret in the HTTP headers to authenticate the client.
Path Parameters
A valid Counterparty ID
Pattern:
^cp_[a-zA-Z0-9]{27}$Example:
"cp_2ofTA13AD0xBtbEvBl20aEb1hEu"
Either a Bank Account ID (id) or a Wallet ID (walletId) must be provided in the path.
Pattern:
^bank_[a-zA-Z0-9]{27}$Example:
"bank_2ofTA5mz0T91pBmD3tMTeLE7T4X"
Response
The counterparty with the payment method removed
- Option 1
- Option 2
A valid Counterparty ID
Pattern:
^cp_[a-zA-Z0-9]{27}$Example:
"cp_2ofTA13AD0xBtbEvBl20aEb1hEu"
Available options:
individual ISO 3166-1 alpha-3 country code
Example:
"USA"
Show child attributes
Show child attributes
- Option 1
- Option 2
Show child attributes
Show child attributes
Example:
{ "type": "bank", "rail": ["fedwire"], "bankName": "Bank of America", "accountOwnerName": "John Doe", "accountNumber": "1234567890", "currency": "USD", "routingNumber": "1234567890", "address": { "streetLine1": "123 Main St", "city": "New York", "state": "NY", "postalCode": "10001", "country": "USA" }, "id": "bank_1234", "sortCode": "12-34-56" }
Show child attributes
Show child attributes
Available options:
active, compliance_rejected, in_compliance_review, deleted Show child attributes
Show child attributes
A valid Customer ID
Pattern:
^cus_[a-zA-Z0-9]{27}$Example:
"cus_2ofTA13AD0xBtbEvBl20aEb1hEu"
Available options:
tin, nit, cc, ce, passport, cpf, cnpj, rfc, curp, cuit, cuil ⌘I

